Commit 251db098 authored by Ronan's avatar Ronan

feat(App): supports only Qt5.9 now

parent a67bd68a
......@@ -8,7 +8,7 @@ Linphone is a free VoIP and video softphone based on the SIP protocol.
Here are the general instructions to build linphone for desktop. The specific instructions for each build platform is described just below.
1. Install some build tools: `CMake`, `Python` and `Qt5` (_5.8 or newer_).
1. Install some build tools: `CMake`, `Python` and `Qt5` (_5.9 or newer_).
2. It's necessary to set the environment variable `Qt5_DIR` to point to the path containing the cmake folders of Qt5. Example:
Qt5_DIR="~/Qt/5.9/gcc_64/lib/cmake"
......
......@@ -31,7 +31,7 @@
// Must be unique. Used by `SingleApplication` and `Paths`.
#define APPLICATION_NAME "linphone"
#define APPLICATION_VERSION LINPHONE_QT_GIT_VERSION
#define APPLICATION_MINIMAL_QT_VERSION "5.8.0"
#define APPLICATION_MINIMAL_QT_VERSION "5.9.0"
#define DEFAULT_FONT "Noto Sans"
......
......@@ -42,9 +42,7 @@ ComboBox {
RowLayout {
anchors {
fill: parent
leftMargin: !Utils.startsWith(App.qtVersion, '5.8')
? ComboBoxStyle.contentItem.leftMargin // >= 5.9
: 0 // 5.8
leftMargin: ComboBoxStyle.contentItem.leftMargin
}
spacing: ComboBoxStyle.contentItem.spacing
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment